
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "scm_devise/version"

Gem::Specification.new do |spec|
  spec.name          = "scm_devise"
  spec.version       = Scm_devise::VERSION
  spec.authors       = ["Lucas Michalski"]
  spec.email         = ["lucas.michalski@epitech.eu"]
  spec.summary       = %q{gem to auto update created and updated by for models.}
  spec.homepage      = "https://github.com/LucasMichal/Scm_devise"
  spec.files         = `git ls-files`.split($\)
  spec.require_paths = ["lib"]
  spec.licenses      = ['MIT']

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'activerecord'
  spec.add_dependency("railties", ">= 4.1.0", "< 5.2")


  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rspec'

  if defined?(JRUBY_VERSION)
    spec.add_development_dependency 'activerecord-jdbcsqlite3-adapter'
    spec.add_development_dependency 'jruby-openssl'
  else
    spec.add_development_dependency 'sqlite3'
  end
end
